<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstTrackerHit Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_tracker_hit-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstTrackerHit Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_hit_const_8h_source.html">TrackerHitConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad815795ccb0091739c481f38495ce614"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#ad815795ccb0091739c481f38495ce614">ConstTrackerHit</a> ()</td></tr>
<tr class="memdesc:ad815795ccb0091739c481f38495ce614"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#ad815795ccb0091739c481f38495ce614">More...</a><br /></td></tr>
<tr class="separator:ad815795ccb0091739c481f38495ce614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39704c3da08c06bbbf5203152dd8f46c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a39704c3da08c06bbbf5203152dd8f46c">ConstTrackerHit</a> (long long <a class="el" href="classeic_1_1_const_tracker_hit.html#a8f89933853f6010c81ab3feafeeb4c34">cellID0</a>, long long <a class="el" href="classeic_1_1_const_tracker_hit.html#acaa535d68919cd03c140283a68fa3f50">cellID1</a>, long long <a class="el" href="classeic_1_1_const_tracker_hit.html#ac45f1c57989f7c318ec9ebcf8660a36f">time</a>, float <a class="el" href="classeic_1_1_const_tracker_hit.html#adb6e9b8a90ac33cfe4603f7269b0dc4d">EDep</a>, float <a class="el" href="classeic_1_1_const_tracker_hit.html#ae3e4c53b511ff9fc0282c21a723a797b">EDepError</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_const_tracker_hit.html#a73cc0ed65ef8b3d4c608f7a82bd8063e">position</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_const_tracker_hit.html#ab1759d9dc38256e0ed0208b6a54864c8">covMatrix</a>)</td></tr>
<tr class="separator:a39704c3da08c06bbbf5203152dd8f46c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc5696da7f1444c0325dfc3c0eb462aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#acc5696da7f1444c0325dfc3c0eb462aa">ConstTrackerHit</a> (<a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> *obj)</td></tr>
<tr class="memdesc:acc5696da7f1444c0325dfc3c0eb462aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a>  <a href="#acc5696da7f1444c0325dfc3c0eb462aa">More...</a><br /></td></tr>
<tr class="separator:acc5696da7f1444c0325dfc3c0eb462aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40c901d182c4ca8673cc059301bad539"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a40c901d182c4ca8673cc059301bad539">ConstTrackerHit</a> (const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;other)</td></tr>
<tr class="memdesc:a40c901d182c4ca8673cc059301bad539"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a40c901d182c4ca8673cc059301bad539">More...</a><br /></td></tr>
<tr class="separator:a40c901d182c4ca8673cc059301bad539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b4c79b7d97bfa2be7b2139e4df8c75e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a0b4c79b7d97bfa2be7b2139e4df8c75e">operator=</a> (const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;other)</td></tr>
<tr class="memdesc:a0b4c79b7d97bfa2be7b2139e4df8c75e"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a0b4c79b7d97bfa2be7b2139e4df8c75e">More...</a><br /></td></tr>
<tr class="separator:a0b4c79b7d97bfa2be7b2139e4df8c75e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f0ba54dc8341a1f5d54370fec1d7223"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a5f0ba54dc8341a1f5d54370fec1d7223">clone</a> () const</td></tr>
<tr class="memdesc:a5f0ba54dc8341a1f5d54370fec1d7223"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a5f0ba54dc8341a1f5d54370fec1d7223">More...</a><br /></td></tr>
<tr class="separator:a5f0ba54dc8341a1f5d54370fec1d7223"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48df4f896fbe8426116d07cb86bf4635"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a48df4f896fbe8426116d07cb86bf4635">~ConstTrackerHit</a> ()</td></tr>
<tr class="memdesc:a48df4f896fbe8426116d07cb86bf4635"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a48df4f896fbe8426116d07cb86bf4635">More...</a><br /></td></tr>
<tr class="separator:a48df4f896fbe8426116d07cb86bf4635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f89933853f6010c81ab3feafeeb4c34"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a8f89933853f6010c81ab3feafeeb4c34">cellID0</a> () const</td></tr>
<tr class="memdesc:a8f89933853f6010c81ab3feafeeb4c34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#a8f89933853f6010c81ab3feafeeb4c34">More...</a><br /></td></tr>
<tr class="separator:a8f89933853f6010c81ab3feafeeb4c34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa535d68919cd03c140283a68fa3f50"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#acaa535d68919cd03c140283a68fa3f50">cellID1</a> () const</td></tr>
<tr class="memdesc:acaa535d68919cd03c140283a68fa3f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#acaa535d68919cd03c140283a68fa3f50">More...</a><br /></td></tr>
<tr class="separator:acaa535d68919cd03c140283a68fa3f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac45f1c57989f7c318ec9ebcf8660a36f"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#ac45f1c57989f7c318ec9ebcf8660a36f">time</a> () const</td></tr>
<tr class="memdesc:ac45f1c57989f7c318ec9ebcf8660a36f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The time of the hit.  <a href="#ac45f1c57989f7c318ec9ebcf8660a36f">More...</a><br /></td></tr>
<tr class="separator:ac45f1c57989f7c318ec9ebcf8660a36f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb6e9b8a90ac33cfe4603f7269b0dc4d"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#adb6e9b8a90ac33cfe4603f7269b0dc4d">EDep</a> () const</td></tr>
<tr class="memdesc:adb6e9b8a90ac33cfe4603f7269b0dc4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the EDep.  <a href="#adb6e9b8a90ac33cfe4603f7269b0dc4d">More...</a><br /></td></tr>
<tr class="separator:adb6e9b8a90ac33cfe4603f7269b0dc4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e4c53b511ff9fc0282c21a723a797b"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#ae3e4c53b511ff9fc0282c21a723a797b">EDepError</a> () const</td></tr>
<tr class="memdesc:ae3e4c53b511ff9fc0282c21a723a797b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the error on EDep.  <a href="#ae3e4c53b511ff9fc0282c21a723a797b">More...</a><br /></td></tr>
<tr class="separator:ae3e4c53b511ff9fc0282c21a723a797b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73cc0ed65ef8b3d4c608f7a82bd8063e"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a73cc0ed65ef8b3d4c608f7a82bd8063e">position</a> () const</td></tr>
<tr class="memdesc:a73cc0ed65ef8b3d4c608f7a82bd8063e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the position.  <a href="#a73cc0ed65ef8b3d4c608f7a82bd8063e">More...</a><br /></td></tr>
<tr class="separator:a73cc0ed65ef8b3d4c608f7a82bd8063e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7adb364b91a348b00a61ad73ccb05eec"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a7adb364b91a348b00a61ad73ccb05eec">position</a> (size_t i) const</td></tr>
<tr class="memdesc:a7adb364b91a348b00a61ad73ccb05eec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the position.  <a href="#a7adb364b91a348b00a61ad73ccb05eec">More...</a><br /></td></tr>
<tr class="separator:a7adb364b91a348b00a61ad73ccb05eec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1759d9dc38256e0ed0208b6a54864c8"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#ab1759d9dc38256e0ed0208b6a54864c8">covMatrix</a> () const</td></tr>
<tr class="memdesc:ab1759d9dc38256e0ed0208b6a54864c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the covMatrix.  <a href="#ab1759d9dc38256e0ed0208b6a54864c8">More...</a><br /></td></tr>
<tr class="separator:ab1759d9dc38256e0ed0208b6a54864c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b8b87f6ba2a18843cecb8115156af9b"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a9b8b87f6ba2a18843cecb8115156af9b">covMatrix</a> (size_t i) const</td></tr>
<tr class="memdesc:a9b8b87f6ba2a18843cecb8115156af9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the covMatrix.  <a href="#a9b8b87f6ba2a18843cecb8115156af9b">More...</a><br /></td></tr>
<tr class="separator:a9b8b87f6ba2a18843cecb8115156af9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace5c0ea4a0ac5595c7702ba44cb73f1c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#ace5c0ea4a0ac5595c7702ba44cb73f1c">isAvailable</a> () const</td></tr>
<tr class="memdesc:ace5c0ea4a0ac5595c7702ba44cb73f1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#ace5c0ea4a0ac5595c7702ba44cb73f1c">More...</a><br /></td></tr>
<tr class="separator:ace5c0ea4a0ac5595c7702ba44cb73f1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa784d0027dfc047ef8b455727cfab84d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#aa784d0027dfc047ef8b455727cfab84d">unlink</a> ()</td></tr>
<tr class="memdesc:aa784d0027dfc047ef8b455727cfab84d"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> instance  <a href="#aa784d0027dfc047ef8b455727cfab84d">More...</a><br /></td></tr>
<tr class="separator:aa784d0027dfc047ef8b455727cfab84d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adff7f2b4ed2c768d697a73f2edb70099"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#adff7f2b4ed2c768d697a73f2edb70099">operator==</a> (const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:adff7f2b4ed2c768d697a73f2edb70099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a880642ed3aac3ac27aaf253a1d7ed73b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a880642ed3aac3ac27aaf253a1d7ed73b">operator==</a> (const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:a880642ed3aac3ac27aaf253a1d7ed73b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3952f80ebc062844112c6fa7ac26b17a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#a3952f80ebc062844112c6fa7ac26b17a">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:a3952f80ebc062844112c6fa7ac26b17a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68fadf03cc008167de33c742bab4595"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#ab68fadf03cc008167de33c742bab4595">id</a> () const</td></tr>
<tr class="separator:ab68fadf03cc008167de33c742bab4595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa755d1654f85cb339d336f72211dc526"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_hit.html#aa755d1654f85cb339d336f72211dc526">getObjectID</a> () const</td></tr>
<tr class="separator:aa755d1654f85cb339d336f72211dc526"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Tracker hit (reconstructed from Raw) </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8h_source.html#l00024">24</a> of file <a class="el" href="_tracker_hit_const_8h_source.html">TrackerHitConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad815795ccb0091739c481f38495ce614"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad815795ccb0091739c481f38495ce614">&#9670;&nbsp;</a></span>ConstTrackerHit() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerHit::ConstTrackerHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00016">16</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a39704c3da08c06bbbf5203152dd8f46c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39704c3da08c06bbbf5203152dd8f46c">&#9670;&nbsp;</a></span>ConstTrackerHit() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerHit::ConstTrackerHit </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>EDep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>EDepError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>covMatrix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">20</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00017">eic::TrackerHitData::cellID0</a>, <a class="el" href="_tracker_hit_const_8cc_source.html#l00052">cellID0()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00018">eic::TrackerHitData::cellID1</a>, <a class="el" href="_tracker_hit_const_8cc_source.html#l00053">cellID1()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, <a class="el" href="_tracker_hit_const_8cc_source.html#l00059">covMatrix()</a>, <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00020">eic::TrackerHitData::EDep</a>, <a class="el" href="_tracker_hit_const_8cc_source.html#l00055">EDep()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00021">eic::TrackerHitData::EDepError</a>, <a class="el" href="_tracker_hit_const_8cc_source.html#l00056">EDepError()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>, <a class="el" href="_tracker_hit_const_8cc_source.html#l00057">position()</a>, <a class="el" href="_tracker_hit_data_8h_source.html#l00019">eic::TrackerHitData::time</a>, and <a class="el" href="_tracker_hit_const_8cc_source.html#l00054">time()</a>.</p>

</div>
</div>
<a id="acc5696da7f1444c0325dfc3c0eb462aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc5696da7f1444c0325dfc3c0eb462aa">&#9670;&nbsp;</a></span>ConstTrackerHit() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerHit::ConstTrackerHit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00041">41</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a40c901d182c4ca8673cc059301bad539"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40c901d182c4ca8673cc059301bad539">&#9670;&nbsp;</a></span>ConstTrackerHit() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerHit::ConstTrackerHit </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00031">31</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a48df4f896fbe8426116d07cb86bf4635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48df4f896fbe8426116d07cb86bf4635">&#9670;&nbsp;</a></span>~ConstTrackerHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerHit::~ConstTrackerHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00049">49</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8f89933853f6010c81ab3feafeeb4c34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f89933853f6010c81ab3feafeeb4c34">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerHit::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00017">eic::TrackerHitData::cellID0</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">ConstTrackerHit()</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="acaa535d68919cd03c140283a68fa3f50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaa535d68919cd03c140283a68fa3f50">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerHit::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00018">eic::TrackerHitData::cellID1</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">ConstTrackerHit()</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a5f0ba54dc8341a1f5d54370fec1d7223"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f0ba54dc8341a1f5d54370fec1d7223">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> eic::ConstTrackerHit::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00045">45</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="ab1759d9dc38256e0ed0208b6a54864c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1759d9dc38256e0ed0208b6a54864c8">&#9670;&nbsp;</a></span>covMatrix() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ConstTrackerHit::covMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the covMatrix. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00059">59</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">ConstTrackerHit()</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a9b8b87f6ba2a18843cecb8115156af9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b8b87f6ba2a18843cecb8115156af9b">&#9670;&nbsp;</a></span>covMatrix() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstTrackerHit::covMatrix </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the covMatrix. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00060">60</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_data_8h_source.html#l00023">eic::TrackerHitData::covMatrix</a>, and <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>.</p>

</div>
</div>
<a id="adb6e9b8a90ac33cfe4603f7269b0dc4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb6e9b8a90ac33cfe4603f7269b0dc4d">&#9670;&nbsp;</a></span>EDep()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrackerHit::EDep </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the EDep. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00020">eic::TrackerHitData::EDep</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">ConstTrackerHit()</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae3e4c53b511ff9fc0282c21a723a797b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3e4c53b511ff9fc0282c21a723a797b">&#9670;&nbsp;</a></span>EDepError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrackerHit::EDepError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the error on EDep. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00056">56</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00021">eic::TrackerHitData::EDepError</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">ConstTrackerHit()</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aa755d1654f85cb339d336f72211dc526"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa755d1654f85cb339d336f72211dc526">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstTrackerHit::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00074">74</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8h_source.html#l00091">id()</a>.</p>

</div>
</div>
<a id="ab68fadf03cc008167de33c742bab4595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab68fadf03cc008167de33c742bab4595">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstTrackerHit::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8h_source.html#l00091">91</a> of file <a class="el" href="_tracker_hit_const_8h_source.html">TrackerHitConst.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_const_8cc_source.html#l00074">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ace5c0ea4a0ac5595c7702ba44cb73f1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace5c0ea4a0ac5595c7702ba44cb73f1c">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerHit::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00067">67</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a3952f80ebc062844112c6fa7ac26b17a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3952f80ebc062844112c6fa7ac26b17a">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerHit::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8h_source.html#l00089">89</a> of file <a class="el" href="_tracker_hit_const_8h_source.html">TrackerHitConst.h</a>.</p>

</div>
</div>
<a id="a0b4c79b7d97bfa2be7b2139e4df8c75e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b4c79b7d97bfa2be7b2139e4df8c75e">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp; eic::ConstTrackerHit::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00035">35</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="adff7f2b4ed2c768d697a73f2edb70099"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adff7f2b4ed2c768d697a73f2edb70099">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8h_source.html#l00085">85</a> of file <a class="el" href="_tracker_hit_const_8h_source.html">TrackerHitConst.h</a>.</p>

</div>
</div>
<a id="a880642ed3aac3ac27aaf253a1d7ed73b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a880642ed3aac3ac27aaf253a1d7ed73b">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00081">81</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a73cc0ed65ef8b3d4c608f7a82bd8063e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73cc0ed65ef8b3d4c608f7a82bd8063e">&#9670;&nbsp;</a></span>position() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ConstTrackerHit::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the position. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00057">57</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">ConstTrackerHit()</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a7adb364b91a348b00a61ad73ccb05eec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7adb364b91a348b00a61ad73ccb05eec">&#9670;&nbsp;</a></span>position() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstTrackerHit::position </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the position. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00058">58</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00022">eic::TrackerHitData::position</a>.</p>

</div>
</div>
<a id="ac45f1c57989f7c318ec9ebcf8660a36f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac45f1c57989f7c318ec9ebcf8660a36f">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerHit::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The time of the hit. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_obj_8h_source.html#l00030">eic::TrackerHitObj::data</a>, and <a class="el" href="_tracker_hit_data_8h_source.html#l00019">eic::TrackerHitData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_const_8cc_source.html#l00020">ConstTrackerHit()</a>, and <a class="el" href="_tracker_hit_8cc_source.html#l00101">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aa784d0027dfc047ef8b455727cfab84d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa784d0027dfc047ef8b455727cfab84d">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstTrackerHit::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_const_8h_source.html#l00083">83</a> of file <a class="el" href="_tracker_hit_const_8h_source.html">TrackerHitConst.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_hit_const_8h_source.html">TrackerHitConst.h</a></li>
<li>src/<a class="el" href="_tracker_hit_const_8cc_source.html">TrackerHitConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
